#!/opt/cloudlinux/venv/bin/python3 -bb
# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# CAG-796: use hidepid=2 when mounting /proc

import sys
import os

from cl_proc_hidepid import remount_proc


def main():
    if os.geteuid() != 0:
        print('Error: root privileges required')
        return 1
    verbose = '--verbose' in sys.argv
    return remount_proc(verbose)


if __name__ == '__main__':
    sys.exit(main())
